Bug 1133789 - CVE-2013-7397 async-http-client: SSL/TLS certificate verification is disabled under certain conditions [fedora-all]
Summary: CVE-2013-7397 async-http-client: SSL/TLS certificate verification is disabled...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: async-http-client
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=2
Depends On:
Blocks: CVE-2013-7397
TreeView+ depends on / blocked
 
Reported: 2014-08-26 07:19 UTC by David Jorm
Modified: 2015-05-08 07:38 UTC (History)
7 users (show)

Fixed In Version: async-http-client-1.7.22-2.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-08 07:38:22 UTC


Attachments (Terms of Use)

Description David Jorm 2014-08-26 07:19:12 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 2 David A. Cafaro 2015-04-02 17:59:15 UTC
Is there a patch for this under one of the other depends on tickets listed here:

https://bugzilla.redhat.com/show_bug.cgi?id=1133769

It appears I do not have access to those tickets.  I can find what looks like the upstream patch to this here:

https://github.com/AsyncHttpClient/async-http-client/commit/df6ed70e86c8fc340ed75563e016c8baa94d7e72

But that would take some back-porting to Fedora 20.  Don't see the package in Fedora 21.

Comment 3 Eric Christensen 2015-04-23 13:19:48 UTC
Can an update be pushed for this package?

Comment 4 Fedora Update System 2015-04-24 13:01:24 UTC
async-http-client-1.7.22-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/async-http-client-1.7.22-2.fc20

Comment 5 Fedora Update System 2015-04-26 12:49:42 UTC
Package async-http-client-1.7.22-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing async-http-client-1.7.22-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6891/async-http-client-1.7.22-2.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-05-08 07:38:22 UTC
async-http-client-1.7.22-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.